Subject: Re: [PATCH v6 0/2] show-index: fix uninitialized hash function

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Nov 2024 12:16:19 +0900

Abhijeet Sonar <[email-masked]> writes:

> No, I don't think you are. However, I would like to point out that the code
> which I used as the inspiration also does thing the same way:
>
> 	test_expect_success 'pack-object <stdin parsing: [|--revs] with --stdin' '
> 		cat >in <<-EOF &&
> 		$(git -C pack-object-stdin rev-parse one)
> 		$(git -C pack-object-stdin rev-parse two)
> 		EOF

There is a huge difference between one and two, though ;-)  If you
expect that your new thing may later have to expect more than one
line of output, the way you wrote may be easier to extend, but if
you know it won't gain any more lines to its output, output from a
single command is better written without cat around it.